_RtpSession Struct Reference

`#include <rtpsession.h>`

## Data Fields

ortp_mutex_t | main_mutex
RtpSession * | next
int | mask_pos
struct { |
RtpProfile * profile |
int pt |
unsigned int ssrc |
WaitPoint wp |
} | snd
struct { |
RtpProfile * profile |
int pt |
unsigned int ssrc |
WaitPoint wp |
} | rcv
unsigned int | inc_ssrc_candidate
int | inc_same_ssrc_count
int | hw_recv_pt
int | recv_buf_size
int | target_upload_bandwidth
int | max_target_upload_bandwidth
RtpSignalTable | on_ssrc_changed
RtpSignalTable | on_payload_type_changed
RtpSignalTable | on_telephone_event_packet
RtpSignalTable | on_telephone_event
RtpSignalTable | on_timestamp_jump
RtpSignalTable | on_network_error
RtpSignalTable | on_rtcp_bye
bctbx_list_t * | signal_tables
bctbx_list_t * | eventqs
RtpStream | rtp
RtcpStream | rtcp
OrtpRtcpXrStats | rtcp_xr_stats
RtpSessionMode | mode
struct _RtpScheduler * | sched
mblk_t * | recv_block_cache
uint32_t | flags
int | dscp
int | multicast_ttl
int | multicast_loopback
float | duplication_ratio
float | duplication_left
void * | user_data
struct timeval | last_recv_time
mblk_t * | pending
int | tev_send_pt
mblk_t * | current_tev
mblk_t * | minimal_sdes
mblk_t * | full_sdes
queue_t | contributing_sources
int | lost_packets_test_vector
unsigned int | interarrival_jitter_test_vector
unsigned int | delay_test_vector
float | rtt
int | cum_loss
OrtpNetworkSimulatorCtx * | net_sim_ctx
RtpSession * | spliced_session
rtp_stats_t | stats
bctbx_list_t * | recv_addr_map
uint32_t | send_ts_offset
struct _RtpBundle * | bundle
struct _FecStream * | fec_stream
bool_t | symmetric_rtp
bool_t | permissive
bool_t | use_connect
bool_t | ssrc_set
bool_t | reuseaddr
bool_t | rtcp_mux
unsigned char | avpf_features
bool_t | use_pktinfo
bool_t | is_spliced
bool_t | congestion_detector_enabled
bool_t | video_bandwidth_estimator_enabled
bool_t | is_primary
bool_t | warn_non_working_pkt_info
bool_t | transfer_mode
bool_t | audio_bandwidth_estimator_enabled

## Detailed Description

An object representing a bi-directional RTP session. It holds sockets, jitter buffer, various counters (timestamp, sequence numbers...) Applications SHOULD NOT try to read things within the RtpSession object but use instead its public API (the rtp_session_* methods) where RtpSession is used as a pointer. rtp_session_new() allocates and initialize a RtpSession.

## Field Documentation

## avpf_features

unsigned char _RtpSession::avpf_features

A bitmask of ORTP_AVPF_FEATURE_* macros.

The documentation for this struct was generated from the following file:

- rtpsession.h